
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商扩张信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long supplierExtensionId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "供应商商品总销量")
    private Integer saleNum;

    public Long getSupplierExtensionId() {
        return supplierExtensionId;
    }

    public void setSupplierExtensionId(Long supplierExtensionId) {
        this.supplierExtensionId = supplierExtensionId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    @Override
    public String toString() {
        return "SupplierExtensionVO{" +
                "supplierExtensionId=" + supplierExtensionId +
                ",supplierId=" + supplierId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",saleNum=" + saleNum +
                '}';
    }
}
